package org.iphsoft.simon1.util;

import java.io.File;

import org.iphsoft.simon1.AndroidPortAdditions;

import android.content.Context;
import android.os.Environment;

public class IHNMUtils {

	public static File getSaveFileForLanguage(Context context, int slot, String languageSetting)
	{
		MyLog.d("IHNMUtils: getSaveFileForLanguage: " + slot + " " + languageSetting);
		
		//String savePath = Environment.getExternalStorageDirectory() + "/"
		//		+ AndroidPortAdditions.instance().getAppName() + "/Saves/";

		File externalDir = context.getExternalFilesDir(null);
		String savePath = externalDir.getAbsolutePath() + "/"
				+ "ihnmaims" + "/Saves/";
		
		String filename =  "ihnm";
		if (!languageSetting.equals("en"))
		{
			filename += "-" + languageSetting;
		}
		
		filename += ".s0" + slot;
		
		return new File(savePath + filename);
	}
	
	public static String getLanguageSettingForSaveSlot(Context context, int slot, String exception)
	{
		MyLog.d("IHNMUtils: getLanguageSettingForSaveSlot: " + slot + " except " + exception);
		
		String[] languages = new String[] { "en", "de", "fr", "es", "it" };
		
		// Check for all languages
		for (String s : languages)
		{
			// Allow to ignore checking a certain language
			if (exception != null && s.equals(exception))
			{
				continue;
			}
			
			File file = getSaveFileForLanguage(context, slot, s);
			MyLog.d("IHNMUtils: getLanguageSettingForSaveSlot: checking file: " + file.getAbsolutePath());
			if (file.exists())
			{
				return s;
			}
		}
		
		// If not found
		return null;
	}
}
